import pandas as pd
import matplotlib.pyplot as plt
plt.style.use("mundus")
import numpy as np

df = pd.read_csv("90.000_22.0000GHz#started-07_55_34-AVG-4x.dat", sep="\t")
df_sim = pd.read_csv("dynamic-susceptibility_Co_NEW.csv")
B = -1*df["# B (T)"]
re = -1*(df["Re(S21)"] + 0.0186)
im = -1*df["Im(S21)"] + 0.05172



phase_corr = -0.13*np.pi

this_chi = re + 1j*im
this_chi = np.exp(1j*phase_corr)*this_chi
re, im = np.real(this_chi), np.imag(this_chi)



phase = np.angle(re+1j*im)
phase2 = np.arctan2(im,re)
mag = np.sqrt(re**2 + im**2)
fig, ((ax1,ax2),(ax3,ax4)) = plt.subplots(2,2)
ax1.plot(B,re/np.max(re))
ax1.plot((df_sim["B_extx (T)"]),df_sim["chiprime"]/np.max(df_sim["chiprime"]))
ax2.plot((B),im/np.max(im))
ax2.plot((df_sim["B_extx (T)"]),df_sim["chiprimeprime"]/np.max(df_sim["chiprimeprime"]))

ax3.plot(B,mag/np.max(mag))
ax3.plot(df_sim["B_extx (T)"],df_sim["magnitude"]/np.max(df_sim["magnitude"]))
ax4.plot(B,phase/np.pi)
ax4.plot(df_sim["B_extx (T)"],df_sim["phase"]/np.pi)

#ax4.plot(B,phase2/np.pi)


df_save = pd.DataFrame({
                    "B_ext (T)" : B,
                    "chiprime" : re,
                    "chiprimeprime" : im,
                    "magnitude" : mag,
                    "phase" : phase
                })

df_save.to_csv("experimtal-susz_CoFe-Film_phase-corrected.csv")

fig.tight_layout()

plt.show()
