Nx := 64
Ny := 64
Nz := 1

a := 200e-9
b := 200e-9
c := 5e-9

SetGridSize(Nx,Ny,Nz)
SetCellSize(a/Nx,b/Ny,c/Nz)

Msat  = 810e3
Aex   = 13e-12
alpha = 0.007
gammaLL = 1.86e11


osc_period := 100
b_RF := 0.007

B_min := 140e-3
B_max := 210e-3
dB := 0.5e-3

f := 14e9
TableAddVar(f, "f_RF", "Hz")
TableAddVar(b_RF, "b_RF", "T")
B_DC := B_min

m = uniform(1,0,0)
B_ext = vector(B_DC,0,0)
relax()


for B_DC <= B_max {
    print(B_DC)
    B_ext = vector(B_DC,0,b_RF*sin(2*pi*f*t))
    run(osc_period*1/f)
    TableSaveFull()
    run(1/4 * 1/f)
    TableSaveFull()
    B_DC += dB
    t = 0
    }

for B_DC >= B_min {
    print(B_DC)
    B_ext = vector(B_DC,0,b_RF*sin(2*pi*f*t))
    run(osc_period*1/f)
    TableSaveFull()
    run(1/4 * 1/f)
    TableSaveFull()
    B_DC -= dB
    t = 0
    }
